Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network35.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
35.0.0.0
Broadcast address
35.127.255.255
First usable
35.0.0.1
Last usable
35.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 23000000 · Integer 587202560 to 595591167
Reverse DNS zones
0.35.in-addr.arpa
1.35.in-addr.arpa
2.35.in-addr.arpa
3.35.in-addr.arpa
4.35.in-addr.arpa
5.35.in-addr.arpa
6.35.in-addr.arpa
7.35.in-addr.arpa
8.35.in-addr.arpa
9.35.in-addr.arpa
10.35.in-addr.arpa
11.35.in-addr.arpa
12.35.in-addr.arpa
13.35.in-addr.arpa
14.35.in-addr.arpa
15.35.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100011.00000000.00000000.0000000035.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00100011.00000000.00000000.0000000035.0.0.0
Broadcast00100011.01111111.11111111.1111111135.127.255.255
Split into smaller subnets/17

35.0.0.0/9 makes 256 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
135.0.0.0/1735.0.0.1 to 35.0.127.25435.0.127.25532,766
235.0.128.0/1735.0.128.1 to 35.0.255.25435.0.255.25532,766
335.1.0.0/1735.1.0.1 to 35.1.127.25435.1.127.25532,766
435.1.128.0/1735.1.128.1 to 35.1.255.25435.1.255.25532,766
535.2.0.0/1735.2.0.1 to 35.2.127.25435.2.127.25532,766
635.2.128.0/1735.2.128.1 to 35.2.255.25435.2.255.25532,766
735.3.0.0/1735.3.0.1 to 35.3.127.25435.3.127.25532,766
835.3.128.0/1735.3.128.1 to 35.3.255.25435.3.255.25532,766
935.4.0.0/1735.4.0.1 to 35.4.127.25435.4.127.25532,766
1035.4.128.0/1735.4.128.1 to 35.4.255.25435.4.255.25532,766
1135.5.0.0/1735.5.0.1 to 35.5.127.25435.5.127.25532,766
1235.5.128.0/1735.5.128.1 to 35.5.255.25435.5.255.25532,766
1335.6.0.0/1735.6.0.1 to 35.6.127.25435.6.127.25532,766
1435.6.128.0/1735.6.128.1 to 35.6.255.25435.6.255.25532,766
1535.7.0.0/1735.7.0.1 to 35.7.127.25435.7.127.25532,766
1635.7.128.0/1735.7.128.1 to 35.7.255.25435.7.255.25532,766
1735.8.0.0/1735.8.0.1 to 35.8.127.25435.8.127.25532,766
1835.8.128.0/1735.8.128.1 to 35.8.255.25435.8.255.25532,766
1935.9.0.0/1735.9.0.1 to 35.9.127.25435.9.127.25532,766
2035.9.128.0/1735.9.128.1 to 35.9.255.25435.9.255.25532,766
2135.10.0.0/1735.10.0.1 to 35.10.127.25435.10.127.25532,766
2235.10.128.0/1735.10.128.1 to 35.10.255.25435.10.255.25532,766
2335.11.0.0/1735.11.0.1 to 35.11.127.25435.11.127.25532,766
2435.11.128.0/1735.11.128.1 to 35.11.255.25435.11.255.25532,766
2535.12.0.0/1735.12.0.1 to 35.12.127.25435.12.127.25532,766
2635.12.128.0/1735.12.128.1 to 35.12.255.25435.12.255.25532,766
2735.13.0.0/1735.13.0.1 to 35.13.127.25435.13.127.25532,766
2835.13.128.0/1735.13.128.1 to 35.13.255.25435.13.255.25532,766
2935.14.0.0/1735.14.0.1 to 35.14.127.25435.14.127.25532,766
3035.14.128.0/1735.14.128.1 to 35.14.255.25435.14.255.25532,766
3135.15.0.0/1735.15.0.1 to 35.15.127.25435.15.127.25532,766
3235.15.128.0/1735.15.128.1 to 35.15.255.25435.15.255.25532,766
3335.16.0.0/1735.16.0.1 to 35.16.127.25435.16.127.25532,766
3435.16.128.0/1735.16.128.1 to 35.16.255.25435.16.255.25532,766
3535.17.0.0/1735.17.0.1 to 35.17.127.25435.17.127.25532,766
3635.17.128.0/1735.17.128.1 to 35.17.255.25435.17.255.25532,766
3735.18.0.0/1735.18.0.1 to 35.18.127.25435.18.127.25532,766
3835.18.128.0/1735.18.128.1 to 35.18.255.25435.18.255.25532,766
3935.19.0.0/1735.19.0.1 to 35.19.127.25435.19.127.25532,766
4035.19.128.0/1735.19.128.1 to 35.19.255.25435.19.255.25532,766
4135.20.0.0/1735.20.0.1 to 35.20.127.25435.20.127.25532,766
4235.20.128.0/1735.20.128.1 to 35.20.255.25435.20.255.25532,766
4335.21.0.0/1735.21.0.1 to 35.21.127.25435.21.127.25532,766
4435.21.128.0/1735.21.128.1 to 35.21.255.25435.21.255.25532,766
4535.22.0.0/1735.22.0.1 to 35.22.127.25435.22.127.25532,766
4635.22.128.0/1735.22.128.1 to 35.22.255.25435.22.255.25532,766
4735.23.0.0/1735.23.0.1 to 35.23.127.25435.23.127.25532,766
4835.23.128.0/1735.23.128.1 to 35.23.255.25435.23.255.25532,766
4935.24.0.0/1735.24.0.1 to 35.24.127.25435.24.127.25532,766
5035.24.128.0/1735.24.128.1 to 35.24.255.25435.24.255.25532,766
5135.25.0.0/1735.25.0.1 to 35.25.127.25435.25.127.25532,766
5235.25.128.0/1735.25.128.1 to 35.25.255.25435.25.255.25532,766
5335.26.0.0/1735.26.0.1 to 35.26.127.25435.26.127.25532,766
5435.26.128.0/1735.26.128.1 to 35.26.255.25435.26.255.25532,766
5535.27.0.0/1735.27.0.1 to 35.27.127.25435.27.127.25532,766
5635.27.128.0/1735.27.128.1 to 35.27.255.25435.27.255.25532,766
5735.28.0.0/1735.28.0.1 to 35.28.127.25435.28.127.25532,766
5835.28.128.0/1735.28.128.1 to 35.28.255.25435.28.255.25532,766
5935.29.0.0/1735.29.0.1 to 35.29.127.25435.29.127.25532,766
6035.29.128.0/1735.29.128.1 to 35.29.255.25435.29.255.25532,766
6135.30.0.0/1735.30.0.1 to 35.30.127.25435.30.127.25532,766
6235.30.128.0/1735.30.128.1 to 35.30.255.25435.30.255.25532,766
6335.31.0.0/1735.31.0.1 to 35.31.127.25435.31.127.25532,766
6435.31.128.0/1735.31.128.1 to 35.31.255.25435.31.255.25532,766
6535.32.0.0/1735.32.0.1 to 35.32.127.25435.32.127.25532,766
6635.32.128.0/1735.32.128.1 to 35.32.255.25435.32.255.25532,766
6735.33.0.0/1735.33.0.1 to 35.33.127.25435.33.127.25532,766
6835.33.128.0/1735.33.128.1 to 35.33.255.25435.33.255.25532,766
6935.34.0.0/1735.34.0.1 to 35.34.127.25435.34.127.25532,766
7035.34.128.0/1735.34.128.1 to 35.34.255.25435.34.255.25532,766
7135.35.0.0/1735.35.0.1 to 35.35.127.25435.35.127.25532,766
7235.35.128.0/1735.35.128.1 to 35.35.255.25435.35.255.25532,766
7335.36.0.0/1735.36.0.1 to 35.36.127.25435.36.127.25532,766
7435.36.128.0/1735.36.128.1 to 35.36.255.25435.36.255.25532,766
7535.37.0.0/1735.37.0.1 to 35.37.127.25435.37.127.25532,766
7635.37.128.0/1735.37.128.1 to 35.37.255.25435.37.255.25532,766
7735.38.0.0/1735.38.0.1 to 35.38.127.25435.38.127.25532,766
7835.38.128.0/1735.38.128.1 to 35.38.255.25435.38.255.25532,766
7935.39.0.0/1735.39.0.1 to 35.39.127.25435.39.127.25532,766
8035.39.128.0/1735.39.128.1 to 35.39.255.25435.39.255.25532,766
8135.40.0.0/1735.40.0.1 to 35.40.127.25435.40.127.25532,766
8235.40.128.0/1735.40.128.1 to 35.40.255.25435.40.255.25532,766
8335.41.0.0/1735.41.0.1 to 35.41.127.25435.41.127.25532,766
8435.41.128.0/1735.41.128.1 to 35.41.255.25435.41.255.25532,766
8535.42.0.0/1735.42.0.1 to 35.42.127.25435.42.127.25532,766
8635.42.128.0/1735.42.128.1 to 35.42.255.25435.42.255.25532,766
8735.43.0.0/1735.43.0.1 to 35.43.127.25435.43.127.25532,766
8835.43.128.0/1735.43.128.1 to 35.43.255.25435.43.255.25532,766
8935.44.0.0/1735.44.0.1 to 35.44.127.25435.44.127.25532,766
9035.44.128.0/1735.44.128.1 to 35.44.255.25435.44.255.25532,766
9135.45.0.0/1735.45.0.1 to 35.45.127.25435.45.127.25532,766
9235.45.128.0/1735.45.128.1 to 35.45.255.25435.45.255.25532,766
9335.46.0.0/1735.46.0.1 to 35.46.127.25435.46.127.25532,766
9435.46.128.0/1735.46.128.1 to 35.46.255.25435.46.255.25532,766
9535.47.0.0/1735.47.0.1 to 35.47.127.25435.47.127.25532,766
9635.47.128.0/1735.47.128.1 to 35.47.255.25435.47.255.25532,766
9735.48.0.0/1735.48.0.1 to 35.48.127.25435.48.127.25532,766
9835.48.128.0/1735.48.128.1 to 35.48.255.25435.48.255.25532,766
9935.49.0.0/1735.49.0.1 to 35.49.127.25435.49.127.25532,766
10035.49.128.0/1735.49.128.1 to 35.49.255.25435.49.255.25532,766
10135.50.0.0/1735.50.0.1 to 35.50.127.25435.50.127.25532,766
10235.50.128.0/1735.50.128.1 to 35.50.255.25435.50.255.25532,766
10335.51.0.0/1735.51.0.1 to 35.51.127.25435.51.127.25532,766
10435.51.128.0/1735.51.128.1 to 35.51.255.25435.51.255.25532,766
10535.52.0.0/1735.52.0.1 to 35.52.127.25435.52.127.25532,766
10635.52.128.0/1735.52.128.1 to 35.52.255.25435.52.255.25532,766
10735.53.0.0/1735.53.0.1 to 35.53.127.25435.53.127.25532,766
10835.53.128.0/1735.53.128.1 to 35.53.255.25435.53.255.25532,766
10935.54.0.0/1735.54.0.1 to 35.54.127.25435.54.127.25532,766
11035.54.128.0/1735.54.128.1 to 35.54.255.25435.54.255.25532,766
11135.55.0.0/1735.55.0.1 to 35.55.127.25435.55.127.25532,766
11235.55.128.0/1735.55.128.1 to 35.55.255.25435.55.255.25532,766
11335.56.0.0/1735.56.0.1 to 35.56.127.25435.56.127.25532,766
11435.56.128.0/1735.56.128.1 to 35.56.255.25435.56.255.25532,766
11535.57.0.0/1735.57.0.1 to 35.57.127.25435.57.127.25532,766
11635.57.128.0/1735.57.128.1 to 35.57.255.25435.57.255.25532,766
11735.58.0.0/1735.58.0.1 to 35.58.127.25435.58.127.25532,766
11835.58.128.0/1735.58.128.1 to 35.58.255.25435.58.255.25532,766
11935.59.0.0/1735.59.0.1 to 35.59.127.25435.59.127.25532,766
12035.59.128.0/1735.59.128.1 to 35.59.255.25435.59.255.25532,766
12135.60.0.0/1735.60.0.1 to 35.60.127.25435.60.127.25532,766
12235.60.128.0/1735.60.128.1 to 35.60.255.25435.60.255.25532,766
12335.61.0.0/1735.61.0.1 to 35.61.127.25435.61.127.25532,766
12435.61.128.0/1735.61.128.1 to 35.61.255.25435.61.255.25532,766
12535.62.0.0/1735.62.0.1 to 35.62.127.25435.62.127.25532,766
12635.62.128.0/1735.62.128.1 to 35.62.255.25435.62.255.25532,766
12735.63.0.0/1735.63.0.1 to 35.63.127.25435.63.127.25532,766
12835.63.128.0/1735.63.128.1 to 35.63.255.25435.63.255.25532,766
12935.64.0.0/1735.64.0.1 to 35.64.127.25435.64.127.25532,766
13035.64.128.0/1735.64.128.1 to 35.64.255.25435.64.255.25532,766
13135.65.0.0/1735.65.0.1 to 35.65.127.25435.65.127.25532,766
13235.65.128.0/1735.65.128.1 to 35.65.255.25435.65.255.25532,766
13335.66.0.0/1735.66.0.1 to 35.66.127.25435.66.127.25532,766
13435.66.128.0/1735.66.128.1 to 35.66.255.25435.66.255.25532,766
13535.67.0.0/1735.67.0.1 to 35.67.127.25435.67.127.25532,766
13635.67.128.0/1735.67.128.1 to 35.67.255.25435.67.255.25532,766
13735.68.0.0/1735.68.0.1 to 35.68.127.25435.68.127.25532,766
13835.68.128.0/1735.68.128.1 to 35.68.255.25435.68.255.25532,766
13935.69.0.0/1735.69.0.1 to 35.69.127.25435.69.127.25532,766
14035.69.128.0/1735.69.128.1 to 35.69.255.25435.69.255.25532,766
14135.70.0.0/1735.70.0.1 to 35.70.127.25435.70.127.25532,766
14235.70.128.0/1735.70.128.1 to 35.70.255.25435.70.255.25532,766
14335.71.0.0/1735.71.0.1 to 35.71.127.25435.71.127.25532,766
14435.71.128.0/1735.71.128.1 to 35.71.255.25435.71.255.25532,766
14535.72.0.0/1735.72.0.1 to 35.72.127.25435.72.127.25532,766
14635.72.128.0/1735.72.128.1 to 35.72.255.25435.72.255.25532,766
14735.73.0.0/1735.73.0.1 to 35.73.127.25435.73.127.25532,766
14835.73.128.0/1735.73.128.1 to 35.73.255.25435.73.255.25532,766
14935.74.0.0/1735.74.0.1 to 35.74.127.25435.74.127.25532,766
15035.74.128.0/1735.74.128.1 to 35.74.255.25435.74.255.25532,766
15135.75.0.0/1735.75.0.1 to 35.75.127.25435.75.127.25532,766
15235.75.128.0/1735.75.128.1 to 35.75.255.25435.75.255.25532,766
15335.76.0.0/1735.76.0.1 to 35.76.127.25435.76.127.25532,766
15435.76.128.0/1735.76.128.1 to 35.76.255.25435.76.255.25532,766
15535.77.0.0/1735.77.0.1 to 35.77.127.25435.77.127.25532,766
15635.77.128.0/1735.77.128.1 to 35.77.255.25435.77.255.25532,766
15735.78.0.0/1735.78.0.1 to 35.78.127.25435.78.127.25532,766
15835.78.128.0/1735.78.128.1 to 35.78.255.25435.78.255.25532,766
15935.79.0.0/1735.79.0.1 to 35.79.127.25435.79.127.25532,766
16035.79.128.0/1735.79.128.1 to 35.79.255.25435.79.255.25532,766
16135.80.0.0/1735.80.0.1 to 35.80.127.25435.80.127.25532,766
16235.80.128.0/1735.80.128.1 to 35.80.255.25435.80.255.25532,766
16335.81.0.0/1735.81.0.1 to 35.81.127.25435.81.127.25532,766
16435.81.128.0/1735.81.128.1 to 35.81.255.25435.81.255.25532,766
16535.82.0.0/1735.82.0.1 to 35.82.127.25435.82.127.25532,766
16635.82.128.0/1735.82.128.1 to 35.82.255.25435.82.255.25532,766
16735.83.0.0/1735.83.0.1 to 35.83.127.25435.83.127.25532,766
16835.83.128.0/1735.83.128.1 to 35.83.255.25435.83.255.25532,766
16935.84.0.0/1735.84.0.1 to 35.84.127.25435.84.127.25532,766
17035.84.128.0/1735.84.128.1 to 35.84.255.25435.84.255.25532,766
17135.85.0.0/1735.85.0.1 to 35.85.127.25435.85.127.25532,766
17235.85.128.0/1735.85.128.1 to 35.85.255.25435.85.255.25532,766
17335.86.0.0/1735.86.0.1 to 35.86.127.25435.86.127.25532,766
17435.86.128.0/1735.86.128.1 to 35.86.255.25435.86.255.25532,766
17535.87.0.0/1735.87.0.1 to 35.87.127.25435.87.127.25532,766
17635.87.128.0/1735.87.128.1 to 35.87.255.25435.87.255.25532,766
17735.88.0.0/1735.88.0.1 to 35.88.127.25435.88.127.25532,766
17835.88.128.0/1735.88.128.1 to 35.88.255.25435.88.255.25532,766
17935.89.0.0/1735.89.0.1 to 35.89.127.25435.89.127.25532,766
18035.89.128.0/1735.89.128.1 to 35.89.255.25435.89.255.25532,766
18135.90.0.0/1735.90.0.1 to 35.90.127.25435.90.127.25532,766
18235.90.128.0/1735.90.128.1 to 35.90.255.25435.90.255.25532,766
18335.91.0.0/1735.91.0.1 to 35.91.127.25435.91.127.25532,766
18435.91.128.0/1735.91.128.1 to 35.91.255.25435.91.255.25532,766
18535.92.0.0/1735.92.0.1 to 35.92.127.25435.92.127.25532,766
18635.92.128.0/1735.92.128.1 to 35.92.255.25435.92.255.25532,766
18735.93.0.0/1735.93.0.1 to 35.93.127.25435.93.127.25532,766
18835.93.128.0/1735.93.128.1 to 35.93.255.25435.93.255.25532,766
18935.94.0.0/1735.94.0.1 to 35.94.127.25435.94.127.25532,766
19035.94.128.0/1735.94.128.1 to 35.94.255.25435.94.255.25532,766
19135.95.0.0/1735.95.0.1 to 35.95.127.25435.95.127.25532,766
19235.95.128.0/1735.95.128.1 to 35.95.255.25435.95.255.25532,766
19335.96.0.0/1735.96.0.1 to 35.96.127.25435.96.127.25532,766
19435.96.128.0/1735.96.128.1 to 35.96.255.25435.96.255.25532,766
19535.97.0.0/1735.97.0.1 to 35.97.127.25435.97.127.25532,766
19635.97.128.0/1735.97.128.1 to 35.97.255.25435.97.255.25532,766
19735.98.0.0/1735.98.0.1 to 35.98.127.25435.98.127.25532,766
19835.98.128.0/1735.98.128.1 to 35.98.255.25435.98.255.25532,766
19935.99.0.0/1735.99.0.1 to 35.99.127.25435.99.127.25532,766
20035.99.128.0/1735.99.128.1 to 35.99.255.25435.99.255.25532,766
20135.100.0.0/1735.100.0.1 to 35.100.127.25435.100.127.25532,766
20235.100.128.0/1735.100.128.1 to 35.100.255.25435.100.255.25532,766
20335.101.0.0/1735.101.0.1 to 35.101.127.25435.101.127.25532,766
20435.101.128.0/1735.101.128.1 to 35.101.255.25435.101.255.25532,766
20535.102.0.0/1735.102.0.1 to 35.102.127.25435.102.127.25532,766
20635.102.128.0/1735.102.128.1 to 35.102.255.25435.102.255.25532,766
20735.103.0.0/1735.103.0.1 to 35.103.127.25435.103.127.25532,766
20835.103.128.0/1735.103.128.1 to 35.103.255.25435.103.255.25532,766
20935.104.0.0/1735.104.0.1 to 35.104.127.25435.104.127.25532,766
21035.104.128.0/1735.104.128.1 to 35.104.255.25435.104.255.25532,766
21135.105.0.0/1735.105.0.1 to 35.105.127.25435.105.127.25532,766
21235.105.128.0/1735.105.128.1 to 35.105.255.25435.105.255.25532,766
21335.106.0.0/1735.106.0.1 to 35.106.127.25435.106.127.25532,766
21435.106.128.0/1735.106.128.1 to 35.106.255.25435.106.255.25532,766
21535.107.0.0/1735.107.0.1 to 35.107.127.25435.107.127.25532,766
21635.107.128.0/1735.107.128.1 to 35.107.255.25435.107.255.25532,766
21735.108.0.0/1735.108.0.1 to 35.108.127.25435.108.127.25532,766
21835.108.128.0/1735.108.128.1 to 35.108.255.25435.108.255.25532,766
21935.109.0.0/1735.109.0.1 to 35.109.127.25435.109.127.25532,766
22035.109.128.0/1735.109.128.1 to 35.109.255.25435.109.255.25532,766
22135.110.0.0/1735.110.0.1 to 35.110.127.25435.110.127.25532,766
22235.110.128.0/1735.110.128.1 to 35.110.255.25435.110.255.25532,766
22335.111.0.0/1735.111.0.1 to 35.111.127.25435.111.127.25532,766
22435.111.128.0/1735.111.128.1 to 35.111.255.25435.111.255.25532,766
22535.112.0.0/1735.112.0.1 to 35.112.127.25435.112.127.25532,766
22635.112.128.0/1735.112.128.1 to 35.112.255.25435.112.255.25532,766
22735.113.0.0/1735.113.0.1 to 35.113.127.25435.113.127.25532,766
22835.113.128.0/1735.113.128.1 to 35.113.255.25435.113.255.25532,766
22935.114.0.0/1735.114.0.1 to 35.114.127.25435.114.127.25532,766
23035.114.128.0/1735.114.128.1 to 35.114.255.25435.114.255.25532,766
23135.115.0.0/1735.115.0.1 to 35.115.127.25435.115.127.25532,766
23235.115.128.0/1735.115.128.1 to 35.115.255.25435.115.255.25532,766
23335.116.0.0/1735.116.0.1 to 35.116.127.25435.116.127.25532,766
23435.116.128.0/1735.116.128.1 to 35.116.255.25435.116.255.25532,766
23535.117.0.0/1735.117.0.1 to 35.117.127.25435.117.127.25532,766
23635.117.128.0/1735.117.128.1 to 35.117.255.25435.117.255.25532,766
23735.118.0.0/1735.118.0.1 to 35.118.127.25435.118.127.25532,766
23835.118.128.0/1735.118.128.1 to 35.118.255.25435.118.255.25532,766
23935.119.0.0/1735.119.0.1 to 35.119.127.25435.119.127.25532,766
24035.119.128.0/1735.119.128.1 to 35.119.255.25435.119.255.25532,766
24135.120.0.0/1735.120.0.1 to 35.120.127.25435.120.127.25532,766
24235.120.128.0/1735.120.128.1 to 35.120.255.25435.120.255.25532,766
24335.121.0.0/1735.121.0.1 to 35.121.127.25435.121.127.25532,766
24435.121.128.0/1735.121.128.1 to 35.121.255.25435.121.255.25532,766
24535.122.0.0/1735.122.0.1 to 35.122.127.25435.122.127.25532,766
24635.122.128.0/1735.122.128.1 to 35.122.255.25435.122.255.25532,766
24735.123.0.0/1735.123.0.1 to 35.123.127.25435.123.127.25532,766
24835.123.128.0/1735.123.128.1 to 35.123.255.25435.123.255.25532,766
24935.124.0.0/1735.124.0.1 to 35.124.127.25435.124.127.25532,766
25035.124.128.0/1735.124.128.1 to 35.124.255.25435.124.255.25532,766
25135.125.0.0/1735.125.0.1 to 35.125.127.25435.125.127.25532,766
25235.125.128.0/1735.125.128.1 to 35.125.255.25435.125.255.25532,766
25335.126.0.0/1735.126.0.1 to 35.126.127.25435.126.127.25532,766
25435.126.128.0/1735.126.128.1 to 35.126.255.25435.126.255.25532,766
25535.127.0.0/1735.127.0.1 to 35.127.127.25435.127.127.25532,766
25635.127.128.0/1735.127.128.1 to 35.127.255.25435.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses